当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux入门

Linux下解决缺少XML-Parser的问题

Linux下解决缺少XML-Parser的问题--Linux通用技术-Linux技术与应用信息,下面是详情阅读。
如果使用“ yum -y install pidgin” 安装pidgin的时候,只要网络没有问题的话,基本上是很顺利安装的。但是我偏偏为了追求个性,喜欢用源码包安装pidgin,结果在./configure 的时候出现了错误:“ configure: error: XML::Parser perl module is required for intltool ”,依照提示,应该是缺少了perl 编译支持的模块。

在LINUX安装软件无法编译安装的时候,很多原因都是因为缺少了相关的文件,只要秉承一个“缺啥补啥”原则,应该很容易解决问题的。现在缺少的是XML-Parser,那就安装这个东东,在官方找到了这个源码包。XML-Parser-2.34.tar.gz 下载,安装的时候请查看README文件,里面有详细的安装步骤,安装软件的时候一定要记得先阅读READER、INSTALL之类的文件,主要也就几步:

[marco.chan@Fedora7 XML-Parser-2.34]$ perl Makefile.PL (编译过程)
[marco.chan@Fedora7 XML-Parser-2.34]$ make
[marco.chan@Fedora7 XML-Parser-2.34]$ make test (这一步非必须的)
[marco.chan@Fedora7 XML-Parser-2.34]$make install

以上安装完成,继续编译pidgin,成功编译,然后安装,成功,pidgin就可以使用了,以后会把这些常用的软件安装方式,以及容易遇到的问题,都将慢慢写出来,一遍需要的朋友查询。
吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有